#version 450
#extension GL_ARB_separate_shader_objects : enable

// inputs
struct shader_input_0
{
	float2 texcoord : TEXCOORD0;
};

// outputs
struct shader_output_0
{
	float4 colour : COLOUR0;
};

// uniforms
layout(binding = 0) uniform sampler2D src;

void main()
{
	vec4 c = texture(src, shader_input_0.texcoord);
	c.r = 1.0 - c.r;
	c.g = 1.0 - c.g;
	c.b = 1.0 - c.b;
	shader_output_0.colour = c;
}